
# contains the bug repository
import repo, bug
import permissions
import interfaces
from ImageFile import ImageFile

misc_ = {'visu.gif': ImageFile('www/visu.gif', globals()),
        }


def initialize(context):
    context.registerClass(repo.BugRepository,
                          permission=permissions.ADD_BUG_REPOSITORY,
                          constructors=repo.bugRepositoryConstructors,
                          icon="www/repo.png")
    context.registerClass(bug.Bug,
                          permission=permissions.ADD_BUG,
                          constructors=bug.bugConstructors,
                          container_filter=bug.containerFilter,
                          icon="www/bug.png")
